columnsConsulta = [{
  data: 'CARTAO',
  title: 'Cartao'
},
{
  data: 'ARQUIVO',
  title: 'Arquivo'
},
{
  data: 'TOTAL_REGISTROS',
  title: 'Total Registros'
},
{
  data: 'TOTAL_CONCILIADO',
  title: 'Total Conciliado'
},
{
  data: 'ZEBRADO',
  title: 'ZEBRADO'
}];

const columnsTabelaSafra = [
  {
    title: 'SEL',
    data: 'sel',
  },
  {
    title: 'Número',
    data: 'numero',
  },
  {
    title: 'CodCli',
    data: 'codCli',
  },
  {
    title: 'Nome',
    data: 'nome',
  },
  {
    title: 'Fatura',
    data: 'fatura',
  },
  {
    title: 'Data de Emissão',
    data: 'dataEmissao',
  },
  {
    title: 'Data de Vencimento',
    data: 'dataVencimento',
  },
  {
    title: 'Data de Pagamento',
    data: 'dataPagamento',
  },
  {
    title: 'NSU',
    data: 'nsu',
  },
  {
    title: 'Número Terminal',
    data: 'numeroTerminal',
  },
  {
    title: 'Parcela',
    data: 'parcela',
  },
  {
    title: 'Valor',
    data: 'valor',
  },
  {
    title: 'Valor Pago',
    data: 'valorPago',
  },
  {
    title: 'Valor Tarifa',
    data: 'valorTarifa',
  },
  {
    title: 'Valor Liquido',
    data: 'valorLiquido',
  },
  {
    title: 'Diferença Maior',
    data: 'difMaior',
  },
  {
    title: 'Diferença Menor',
    data: 'difMenor',
  },
  {
    title: 'Bandeira',
    data: 'bandeira',
  },
  {
    title: 'Saldo',
    data: 'saldo',
  },
  {
    title: 'Banco',
    data: 'banco',
  },
  {
    title: 'Agência',
    data: 'agencia',
  },
  {
    title: 'Conta',
    data: 'conta',
  },
  {
    title: 'Modalidade',
    data: 'modalidade',
  },
  {
    title: 'Tipo Recto',
    data: 'tipoRecto',
  },
  {
    title: 'Tipo Lançamento',
    data: 'tipoLancamento',
  },
  {
    title: 'Taxa',
    data: 'taxa',
  },
  {
    title: 'Taxa Rec',
    data: 'taxaRec',
  },
];

const columnsSafraResumido = [
  {
    title: 'Data de Pagamento',
    data: 'dataPagamento',
  },
  {
    title: 'Banco',
    data: 'banco',
  },
  {
    title: 'Nome Banco',
    data: 'descricaoBanco',
  },
  {
    title: 'Tipo de Lançamento',
    data: 'tipoLancamento',
  },
  {
    title: 'Cód. Conta',
    data: 'codConta',
  },
  {
    title: 'Conta',
    data: 'conta',
  },
  {
    title: 'Descrição Conta',
    data: 'descricaoConta',
  },
  {
    title: 'Bandeira',
    data: 'bandeira',
  },
  {
    title: 'Descrição Bandeira',
    data: 'descricaoBandeira',
  },
  {
    title: 'Modalidade',
    data: 'modalidade',
  },
  {
    title: 'Descrição de Modalidade',
    data: 'descricaoModalidade',
  },
  {
    title: 'Valor',
    data: 'valor',
  },
];

const columnsGenerico = [{
  title: 'SEL ',
  data: 'sel',
},
{
  title: 'Número',
  data: 'numero',
},
{
  title: 'Cód. Cliente',
  data: 'codCli',
},
{
  title: 'Nome',
  data: 'nome',
},
{
  title: 'Fatura',
  data: 'fatura',
},
{
  title: 'NSU',
  data: 'nsu',
},
{
  title: 'Data de Emissão',
  data: 'dataEmissao',
},
{
  title: 'Data de Vencimento',
  data: 'dataVencimento',
},
{
  title: 'Data de Pagamento',
  data: 'dataPagamento',
},
// {
//   title: 'Canciliado',
//   data: 'conciliado',
// },
// {
//   title: 'Autorização',
//   data: 'autorizacao',
// },
// {
//   title: 'Cartão',
//   data: 'cartao',
// },
// {
//   title: 'Número Terminal',
//   data: 'numTerminal',
// },
{
  title: 'Parcela',
  data: 'parcela',
},
{
  title: 'Valor Bruto Arquivo',
  data: 'valorBrutoArq',
},
{
  title: 'Valor da Duplicata',
  data: 'valorDuplicata',
},
{
  title: 'Valor Pago',
  data: 'valorPago',
},
{
  title: 'Valor da Tarifa',
  data: 'valorTarifa',
},
{
  title: 'Valor Liquido',
  data: 'valorLiquido',
},
// {
//   title: 'Diferença Maior',
//   data: 'difMaior',
// },
// {
//   title: 'Diferença Menor',
//   data: 'difMenor',
// },
// {
//   title: 'Bandeira',
//   data: 'bandeira',
// },
{
  title: 'Saldo',
  data: 'saldo',
},
// {
//   title: 'Banco',
//   data: 'banco',
// },
// {
//   title: 'Agência',
//   data: 'agencia',
// },
// {
//   title: 'Conta',
//   data: 'conta',
// },
// {
//   title: 'Modalidade',
//   data: 'mobilidade',
// },
// {
//   title: 'Tipo Recto',
//   data: 'tipoRecto',
// },
// {
//   title: 'Tipo Lançamento',
//   data: 'tipoLancamento',
// },
// {
//   title: 'Taxa',
//   data: 'taxa',
// },
// {
//   title: 'Taxa Rec',
//   data: 'taxaRec',
// },
{
  title: 'Empresa',
  data: 'empId',
}];

const columnsCielo = [{
  title: 'SEL ',
  data: 'sel',
},
{
  title: 'Número',
  data: 'numero',
},
{
  title: 'Cód. Cliente',
  data: 'codCli',
},
{
  title: 'Nome',
  data: 'nome',
},
{
  title: 'Fatura',
  data: 'fatura',
},
{
  title: 'NSU',
  data: 'nsu',
},
{
  title: 'Data de Emissão',
  data: 'dataEmissao',
},
{
  title: 'Data de Vencimento',
  data: 'dataVencimento',
},
{
  title: 'Data de Pagamento',
  data: 'dataPagamento',
},
{
  title: 'Canciliado',
  data: 'conciliado',
},
{
  title: 'Autorização',
  data: 'autorizacao',
},
{
  title: 'Cartão',
  data: 'cartao',
},
{
  title: 'Número Terminal',
  data: 'numTerminal',
},
{
  title: 'Parcela',
  data: 'parcela',
},
{
  title: 'Valor Bruto Arquivo',
  data: 'valorBrutoArq',
},
{
  title: 'Valor da Duplicata',
  data: 'valorDuplicata',
},
{
  title: 'Valor Pago',
  data: 'valorPago',
},
{
  title: 'Valor da Tarifa',
  data: 'valorTarifa',
},
{
  title: 'Valor Liquido',
  data: 'valorLiquido',
},
{
  title: 'Diferença Maior',
  data: 'difMaior',
},
{
  title: 'Diferença Menor',
  data: 'difMenor',
},
{
  title: 'Bandeira',
  data: 'bandeira',
},
{
  title: 'Saldo',
  data: 'saldo',
},
{
  title: 'Banco',
  data: 'banco',
},
{
  title: 'Agência',
  data: 'agencia',
},
{
  title: 'Conta',
  data: 'conta',
},
{
  title: 'Modalidade',
  data: 'modalidade',
},
{
  title: 'Tipo Recto',
  data: 'tipoRecto',
},
{
  title: 'Tipo Lançamento',
  data: 'tipoLancamento',
},
{
  title: 'Taxa',
  data: 'taxa',
},
{
  title: 'Taxa Rec',
  data: 'taxaRec',
},
{
  title: 'Empresa',
  data: 'empId',
}];

const columnsStone = [{
  title: 'SEL ',
  data: 'sel',
},
{
  title: 'Número',
  data: 'numero',
},
{
  title: 'Cód. Cliente',
  data: 'codCli',
},
{
  title: 'Nome',
  data: 'nome',
},
{
  title: 'Fatura',
  data: 'fatura',
},
{
  title: 'NSU',
  data: 'nsu',
},
{
  title: 'Data de Emissão',
  data: 'dataEmissao',
},
{
  title: 'Data de Vencimento',
  data: 'dataVencimento',
},
{
  title: 'Data de Pagamento',
  data: 'dataPagamento',
},
{
  title: 'Canciliado',
  data: 'conciliado',
},
{
  title: 'Autorização',
  data: 'autorizacao',
},
{
  title: 'Cartão',
  data: 'cartao',
},
{
  title: 'Número Terminal',
  data: 'numTerminal',
},
{
  title: 'Parcela',
  data: 'parcela',
},
{
  title: 'Valor Bruto Arquivo',
  data: 'valorBrutoArq',
},
{
  title: 'Valor da Duplicata',
  data: 'valorDuplicata',
},
{
  title: 'Valor Pago',
  data: 'valorPago',
},
{
  title: 'Valor da Tarifa',
  data: 'valorTarifa',
},
{
  title: 'Valor Liquido',
  data: 'valorLiquido',
},
{
  title: 'Diferença Maior',
  data: 'difMaior',
},
{
  title: 'Diferença Menor',
  data: 'difMenor',
},
{
  title: 'Bandeira',
  data: 'bandeira',
},
{
  title: 'Saldo',
  data: 'saldo',
},
{
  title: 'Banco',
  data: 'banco',
},
{
  title: 'Agência',
  data: 'agencia',
},
{
  title: 'Conta',
  data: 'conta',
},
{
  title: 'Modalidade',
  data: 'modalidade',
},
{
  title: 'Tipo Recto',
  data: 'tipoRecto',
},
{
  title: 'Tipo Lançamento',
  data: 'tipoLancamento',
},
{
  title: 'Taxa',
  data: 'taxa',
},
{
  title: 'Taxa Rec',
  data: 'taxaRec',
},
{
  title: 'Empresa',
  data: 'empId',
}];
// const columnsDesistenciaItem = [{
//   title: 'Item',
//   data: 'CODIGO',
// },
// {
//   title: 'Desistencia',
//   data: 'CODMEN',
// },
// {
//   title: 'Descrição',
//   data: 'DESCRICAO',
// }];

// const columnsAtendimentosPendentes = [{
//   title: 'Atendimento',
//   data: 'NUMERO_ATENDIMENTO',
// },
// {
//   title: 'Vendedor',
//   data: 'VENDEDOR',
// },
// {
//   title: 'Cliente',
//   data: 'CLIENTE',
// },
// {
//   title: 'Observação',
//   data: 'OBSERVACAO',
// },
// {
//   title: 'Opções',
//   data: 'OPCOES',
// },
// ];

// const columnsItensPedido = [
//   {
//     title: 'Código',
//     data: 'codigo',
//   },
//   {
//     title: 'Descrição',
//     data: 'descricao',
//   },
//   {
//     title: 'Cor',
//     data: 'cor',
//   },
//   {
//     title: 'Descrição',
//     data: 'desc_Cor',
//   },
//   {
//     title: 'Deposito',
//     data: 'estoque',
//   },
//   {
//     title: 'Preço',
//     data: 'preco',
//   },
//   {
//     title: 'Total',
//     data: 'total',
//   },
//   {
//     title: 'Desconto',
//     data: 'desc_Item',
//   },
// ];


const dataSetColsConsulta = [];

columnsConsulta.forEach((column) => {
  dataSetColsConsulta.push({
    title: column.title,
    data: column.data,
  });
});

const dataSetColsSafra = [];

columnsTabelaSafra.forEach((column) => {
  dataSetColsSafra.push({
    title: column.title,
    data: column.data,
  });
});

const dataSetColsSafraResumido = [];

columnsSafraResumido.forEach((column) => {
  dataSetColsSafraResumido.push({
    title: column.title,
    data: column.data,
  });
});

const dataSetColsGenerico = [];

columnsGenerico.forEach((column) => {
  dataSetColsGenerico.push({
    title: column.title,
    data: column.data,
  });
});

const dataSetColsCielo = [];

columnsCielo.forEach((column) => {
  dataSetColsCielo.push({
    title: column.title,
    data: column.data,
  });
});

const dataSetColsStone = [];

columnsStone.forEach((column) => {
  dataSetColsStone.push({
    title: column.title,
    data: column.data,
  });
});


// const dataSetColsItensPedido = [];

// columnsItensPedido.forEach((column) => {
//   dataSetColsItensPedido.push({
//     title: column.title,
//     data: column.data,
//   });
// });

// const dataSetColsAtendimentosPendentes = [];

// columnsAtendimentosPendentes.forEach((column) => {
//   dataSetColsAtendimentosPendentes.push({
//     title: column.title,
//     data: column.data,
//   });
// });

// const dataSetColsInformativo = [];

// columnsInformativo.forEach((column) => {
//   dataSetColsInformativo.push({
//     title: column.title,
//     data: column.data,
//   });
// });
